ALL_FIGURE_NAMES=$(shell cat tikflowexecute.figlist)
ALL_FIGURES=$(ALL_FIGURE_NAMES:%=%.pdf)

allimages: $(ALL_FIGURES)
	@echo All images exist now. Use make -B to re-generate them.

FORCEREMAKE:

include $(ALL_FIGURE_NAMES:%=%.dep)

%.dep:
	mkdir -p "$(dir $@)"
	touch "$@" # will be filled later.

figures/cache/tikflowexecute-figure0.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/cache/tikflowexecute-figure0" "\def\tikzexternalrealjob{tikflowexecute}\input{tikflowexecute}"

figures/cache/tikflowexecute-figure0.pdf: figures/cache/tikflowexecute-figure0.md5
figures/cache/tikflowexecute-figure1.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/cache/tikflowexecute-figure1" "\def\tikzexternalrealjob{tikflowexecute}\input{tikflowexecute}"

figures/cache/tikflowexecute-figure1.pdf: figures/cache/tikflowexecute-figure1.md5
